package com.waimai.web.admin.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.waimai.common.annotation.Excel;
import com.waimai.common.core.domain.BaseEntity;

/**
 * 订单商品对象 order_foods
 * 
 * @author callmeyan
 * @date 2023-03-24
 */
public class OrderFoods extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 订单编号 */
    @Excel(name = "订单编号")
    private String oid;

    /** 食品编号 */
    @Excel(name = "食品编号")
    private Long fid;

    /** 价格 */
    @Excel(name = "价格")
    private Long price;

    /** 购买数量 */
    @Excel(name = "购买数量")
    private Long count;

    /** 优惠(0：无优惠 正数涨价 负数：降价) */
    @Excel(name = "优惠(0：无优惠 正数涨价 负数：降价)")
    private Long coupon;

    /** 状态 */
    @Excel(name = "状态")
    private Integer state;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setOid(String oid) 
    {
        this.oid = oid;
    }

    public String getOid() 
    {
        return oid;
    }
    public void setFid(Long fid) 
    {
        this.fid = fid;
    }

    public Long getFid() 
    {
        return fid;
    }
    public void setPrice(Long price) 
    {
        this.price = price;
    }

    public Long getPrice() 
    {
        return price;
    }
    public void setCount(Long count) 
    {
        this.count = count;
    }

    public Long getCount() 
    {
        return count;
    }
    public void setCoupon(Long coupon) 
    {
        this.coupon = coupon;
    }

    public Long getCoupon() 
    {
        return coupon;
    }
    public void setState(Integer state) 
    {
        this.state = state;
    }

    public Integer getState() 
    {
        return state;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("oid", getOid())
            .append("fid", getFid())
            .append("price", getPrice())
            .append("count", getCount())
            .append("coupon", getCoupon())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("state", getState())
            .append("remark", getRemark())
            .toString();
    }
}
